<?php

namespace Sabre\PassengerDetailsRQ;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Message.Condition' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Message_Condition',
            'STL_Payload' => '\\Sabre\\PassengerDetailsRQ\\Structs\\STL_Payload',
            'STL_Request_Payload' => '\\Sabre\\PassengerDetailsRQ\\Structs\\STL_Request_Payload',
            'STL_Response_Payload' => '\\Sabre\\PassengerDetailsRQ\\Structs\\STL_Response_Payload',
            'STL_Notif_Payload' => '\\Sabre\\PassengerDetailsRQ\\Structs\\STL_Notif_Payload',
            'Results' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HostCommand',
            'PassengerDetailsRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerDetailsRQ',
            'MiscSegmentSellRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MiscSegmentSellRQ',
            'MiscSegment' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MiscSegment',
            'OriginLocation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OriginLocation',
            'VendorPrefs' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VendorPrefs',
            'Airline' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Airline',
            'PostProcessing' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PostProcessing',
            'EndTransactionRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\EndTransactionRQ',
            'EndTransaction' => '\\Sabre\\PassengerDetailsRQ\\Structs\\EndTransaction',
            'Email' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Email',
            'eTicket' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ETicket',
            'PDF' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PDF',
            'Invoice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Invoice',
            'Itinerary' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Itinerary',
            'Segment' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Segment',
            'PersonName' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PersonName',
            'Source' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Source',
            'QueuePlaceRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\QueuePlaceRQ',
            'MultiQueuePlace' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MultiQueuePlace',
            'QueueIdentifier' => '\\Sabre\\PassengerDetailsRQ\\Structs\\QueueIdentifier',
            'QueueInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\QueueInfo',
            'UniqueID' => '\\Sabre\\PassengerDetailsRQ\\Structs\\UniqueID',
            'PreProcessing' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PreProcessing',
            'PriceQuoteInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PriceQuoteInfo',
            'Link' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Link',
            'ProfileRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ProfileRQ',
            'SpecialReqDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SpecialReqDetails',
            'AddRemarkRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AddRemarkRQ',
            'RemarkInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RemarkInfo',
            'FOP_Remark' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FOP_Remark',
            'CC_Info' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CC_Info',
            'PaymentCard' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PaymentCard',
            'FutureQueuePlaceRemark' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FutureQueuePlaceRemark',
            'Remark' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Remark',
            'AirSeatRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AirSeatRQ',
            'Seats' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Seats',
            'Seat' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Seat',
            'SpecialServiceRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SpecialServiceRQ',
            'SpecialServiceInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SpecialServiceInfo',
            'AdvancePassenger' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AdvancePassenger',
            'Document' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Document',
            'Visa' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Visa',
            'ResidentDestinationAddress' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ResidentDestinationAddress',
            'SecureFlight' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SecureFlight',
            'Service' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Service',
            'TravelItineraryAddInfoRQ' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TravelItineraryAddInfoRQ',
            'AgencyInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AgencyInfo',
            'Address' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Address',
            'StateCountyProv' => '\\Sabre\\PassengerDetailsRQ\\Structs\\StateCountyProv',
            'Ticketing' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Ticketing',
            'CustomerInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CustomerInfo',
            'ContactNumbers' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ContactNumbers',
            'ContactNumber' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ContactNumber',
            'Corporate' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Corporate',
            'CustLoyalty' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CustLoyalty',
            'GroupInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\GroupInfo',
            'PassengerDetailsRS' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerDetailsRS',
            'ItineraryRef' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ItineraryRef',
            'TravelItineraryReadRS' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TravelItineraryReadRS',
            'TravelItinerary' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TravelItinerary',
            'AccountingInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AccountingInfo',
            'AccountVendor' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AccountVendor',
            'BaseFare' => '\\Sabre\\PassengerDetailsRQ\\Structs\\BaseFare',
            'DocumentInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DocumentInfo',
            'PaymentInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PaymentInfo',
            'Commission' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Commission',
            'Payment' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Payment',
            'Taxes' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Taxes',
            'GST' => '\\Sabre\\PassengerDetailsRQ\\Structs\\GST',
            'QST' => '\\Sabre\\PassengerDetailsRQ\\Structs\\QST',
            'Tax' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Tax',
            'TicketingInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TicketingInfo',
            'Exchange' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Exchange',
            'AddressLine' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AddressLine',
            'Passport' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Passport',
            'CardHolderInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CardHolderInfo',
            'Form' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Form',
            'AssociatedReferenceInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AssociatedReferenceInformation',
            'AssociatedPNRSummaries' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AssociatedPNRSummaries',
            'AssociatedPNRSummary' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AssociatedPNRSummary',
            'ProfileIndex' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ProfileIndex',
            'FileInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FileInfo',
            'File' => '\\Sabre\\PassengerDetailsRQ\\Structs\\File',
            'ItineraryInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ItineraryInfo',
            'ItineraryPricing' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ItineraryPricing',
            'FuturePriceInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FuturePriceInfo',
            'PriceQuote' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PriceQuote',
            'MiscInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MiscInformation',
            'BaggageFees' => '\\Sabre\\PassengerDetailsRQ\\Structs\\BaggageFees',
            'GlobalNetRemit' => '\\Sabre\\PassengerDetailsRQ\\Structs\\GlobalNetRemit',
            'NetFare' => '\\Sabre\\PassengerDetailsRQ\\Structs\\NetFare',
            'EquivFare' => '\\Sabre\\PassengerDetailsRQ\\Structs\\EquivFare',
            'TotalFare' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TotalFare',
            'SellingFare' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SellingFare',
            'SignatureLine' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SignatureLine',
            'TicketingFees' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TicketingFees',
            'FeeInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FeeInformation',
            'PricedItinerary' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PricedItinerary',
            'AirItineraryPricingInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AirItineraryPricingInfo',
            'ItinTotalFare' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ItinTotalFare',
            'TaxBreakdownCode' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TaxBreakdownCode',
            'Totals' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Totals',
            'PassengerTypeQuantity' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerTypeQuantity',
            'PrivateFareInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PrivateFareInformation',
            'PTC_FareBreakdown' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PTC_FareBreakdown',
            'NetRemits' => '\\Sabre\\PassengerDetailsRQ\\Structs\\NetRemits',
            'NetRemit' => '\\Sabre\\PassengerDetailsRQ\\Structs\\NetRemit',
            'Endorsements' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Endorsements',
            'Endorsement' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Endorsement',
            'FareBasis' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FareBasis',
            'FareCalculation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FareCalculation',
            'FlightSegment' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FlightSegment',
            'BaggageAllowance' => '\\Sabre\\PassengerDetailsRQ\\Structs\\BaggageAllowance',
            'MarketingAirline' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MarketingAirline',
            'ValidityDates' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ValidityDates',
            'TourCode' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TourCode',
            'NetTicketingInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\NetTicketingInfo',
            'NetFareDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\NetFareDetails',
            'TotalTax' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TotalTax',
            'Percent' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Percent',
            'SellingFareDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SellingFareDetails',
            'ResponseHeader' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ResponseHeader',
            'PriceQuotePlus' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PriceQuotePlus',
            'PassengerInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerInfo',
            'PassengerData' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerData',
            'TicketingInstructionsInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TicketingInstructionsInfo',
            'TicketingInstruction' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TicketingInstruction',
            'FuturePricingInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FuturePricingInfo',
            'FuturePrice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FuturePrice',
            'PACInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PACInfo',
            'PAC' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PAC',
            'PriceQuoteTotals' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PriceQuoteTotals',
            'ReservationItems' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ReservationItems',
            'Item' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Item',
            'AirTaxi' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AirTaxi',
            'DestinationLocation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DestinationLocation',
            'Vendor' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Vendor',
            'Arunk' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Arunk',
            'Cruise' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Cruise',
            'ServiceInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ServiceInformation',
            'BSG_Record' => '\\Sabre\\PassengerDetailsRQ\\Structs\\BSG_Record',
            'CheckInAirline' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CheckInAirline',
            'CodeshareRecord' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CodeshareRecord',
            'Equipment' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Equipment',
            'MarketingCodeshareRecord' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MarketingCodeshareRecord',
            'MarriageGrp' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MarriageGrp',
            'Meal' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Meal',
            'OperatingAirline' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OperatingAirline',
            'OperatingAirlineRecord' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OperatingAirlineRecord',
            'PartnerCarrier' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PartnerCarrier',
            'SupplierRef' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SupplierRef',
            'Hotel' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Hotel',
            'BasicPropertyInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\BasicPropertyInfo',
            'CancelPenalty' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CancelPenalty',
            'Customer' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Customer',
            'ID' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ID',
            'POS' => '\\Sabre\\PassengerDetailsRQ\\Structs\\POS',
            'RoomRates' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RoomRates',
            'Rate' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Rate',
            'AdditionalGuestAmounts' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AdditionalGuestAmounts',
            'HotelRateDescripton' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelRateDescripton',
            'RateDescriptions' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RateDescriptions',
            'RateDescription' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RateDescription',
            'Additionals' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Additionals',
            'Additional' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Additional',
            'HotelTotalPricing' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelTotalPricing',
            'TotalSurcharge' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TotalSurcharge',
            'Surcharge' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Surcharge',
            'ApproximateTotal' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ApproximateTotal',
            'RateChange' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RateChange',
            'Disclaimer' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Disclaimer',
            'RateAccessCodeBooked' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RateAccessCodeBooked',
            'SpecialPrefs' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SpecialPrefs',
            'TimeSpan' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TimeSpan',
            'Insurance' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Insurance',
            'InsuranceDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\InsuranceDetails',
            'Coverage' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Coverage',
            'Rail' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Rail',
            'SNCF_Information' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SNCF_Information',
            'Train' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Train',
            'Surface' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Surface',
            'Tour' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Tour',
            'TourDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TourDetails',
            'Duration' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Duration',
            'HotelInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelInformation',
            'Room' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Room',
            'Price' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Price',
            'VehicleInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VehicleInformation',
            'Vehicle' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Vehicle',
            'VehRentalCore' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VehRentalCore',
            'DropOffLocationDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DropOffLocationDetails',
            'LocationDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\LocationDetails',
            'VehVendorAvail' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VehVendorAvail',
            'VehResCore' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VehResCore',
            'CollectionDeliveryInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CollectionDeliveryInfo',
            'CollectionInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CollectionInfo',
            'DeliveryInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DeliveryInfo',
            'GuaranteePrepaid' => '\\Sabre\\PassengerDetailsRQ\\Structs\\GuaranteePrepaid',
            'CancellationRefundAmount' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CancellationRefundAmount',
            'PricedEquip' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PricedEquip',
            'RentalRate' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RentalRate',
            'Billing' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Billing',
            'Client' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Client',
            'InvoiceRemarks' => '\\Sabre\\PassengerDetailsRQ\\Structs\\InvoiceRemarks',
            'Remarks' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Remarks',
            'VehicleTypes' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VehicleTypes',
            'Voucher' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Voucher',
            'VehicleCharges' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VehicleCharges',
            'VehicleCharge' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VehicleCharge',
            'ChargeDetails' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ChargeDetails',
            'ApproximateTotalCharge' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ApproximateTotalCharge',
            'Mileage' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Mileage',
            'Ancillaries' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Ancillaries',
            'AncillaryService' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AncillaryService',
            'EquivalentPrice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\EquivalentPrice',
            'TTLPrice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TTLPrice',
            'OriginalBasePrice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OriginalBasePrice',
            'TicketCouponNumberAssociation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TicketCouponNumberAssociation',
            'TotalOriginalBasePrice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TotalOriginalBasePrice',
            'TotalEquivalentPrice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TotalEquivalentPrice',
            'TotalTTLPrice' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TotalTTLPrice',
            'TotalTaxes' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TotalTaxes',
            'TravelPortions' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TravelPortions',
            'TravelPortion' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TravelPortion',
            'TravelPolicy' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TravelPolicy',
            'PayInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PayInfo',
            'Placement' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Placement',
            'OpenReservationElements' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OpenReservationElements',
            'CorporateIDInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CorporateIDInfo',
            'VCR' => '\\Sabre\\PassengerDetailsRQ\\Structs\\VCR',
            'TicketingDocument' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TicketingDocument',
            'ServiceCoupon' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ServiceCoupon',
            'ProductType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ProductType',
            'OpenReservationElementsType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OpenReservationElementsType',
            'OpenReservationElementType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OpenReservationElementType',
            'SocialMediaContactType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SocialMediaContactType',
            'AgencyFeesType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AgencyFeesType',
            'ProductDetailsType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ProductDetailsType',
            'TransactionInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TransactionInfo',
            'GroundTransportationType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\GroundTransportationType',
            'CO2ValueType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CO2ValueType',
            'ExternalSystemReferenceType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ExternalSystemReferenceType',
            'HotelProductType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelProductType',
            'HotelPolicy' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelPolicy',
            'CheckInCheckOutPolicy' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CheckInCheckOutPolicy',
            'HotelUniqueIDType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelUniqueIDType',
            'AdditionalContentType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AdditionalContentType',
            'ProductBaseType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ProductBaseType',
            'ProductNameType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ProductNameType',
            'HotelType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelType',
            'Reservation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Reservation',
            'RoomType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RoomType',
            'GuestCounts' => '\\Sabre\\PassengerDetailsRQ\\Structs\\GuestCounts',
            'Guarantee' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Guarantee',
            'HotelCode' => '\\Sabre\\PassengerDetailsRQ\\Structs\\HotelCode',
            'AdditionalInformation' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AdditionalInformation',
            'ConfirmationNumber' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ConfirmationNumber',
            'SupplementaryServiceType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SupplementaryServiceType',
            'Description' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Description',
            'PassengerReferences' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerReferences',
            'PassengerRef' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerRef',
            'DetailType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DetailType',
            'RailwayStationInfoType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RailwayStationInfoType',
            'RailAccommodationType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RailAccommodationType',
            'Coach' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Coach',
            'PlacementNumber' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PlacementNumber',
            'CompanyType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CompanyType',
            'Code' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Code',
            'RailType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RailType',
            'MarketingCarrier' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MarketingCarrier',
            'Passengers' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Passengers',
            'SupplementaryServices' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SupplementaryServices',
            'Documents' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Documents',
            'Details' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Details',
            'PhoneType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PhoneType',
            'TrainDetailsType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TrainDetailsType',
            'AddressType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AddressType',
            'CityCodes' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CityCodes',
            'StateProviceCodes' => '\\Sabre\\PassengerDetailsRQ\\Structs\\StateProviceCodes',
            'CountryCodes' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CountryCodes',
            'DocumentType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DocumentType',
            'SegmentReferences' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SegmentReferences',
            'SegmentRef' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SegmentRef',
            'FormOfPayment' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FormOfPayment',
            'CreditCard' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CreditCard',
            'CardHolder' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CardHolder',
            'DocumentRules' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DocumentRules',
            'Rule' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Rule',
            'CodeDescriptionType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CodeDescriptionType',
            'ServiceType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ServiceType',
            'ServiceLevelType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ServiceLevelType',
            'EquipmentType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\EquipmentType',
            'ServiceProviderType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ServiceProviderType',
            'LocationDetailsType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\LocationDetailsType',
            'RailwayStationInfo' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RailwayStationInfo',
            'StationName' => '\\Sabre\\PassengerDetailsRQ\\Structs\\StationName',
            'LocalStationName' => '\\Sabre\\PassengerDetailsRQ\\Structs\\LocalStationName',
            'LocationCodes' => '\\Sabre\\PassengerDetailsRQ\\Structs\\LocationCodes',
            'Amenities' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Amenities',
            'AirportInfoType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AirportInfoType',
            'AirlineType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AirlineType',
            'ExternalReservationType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ExternalReservationType',
            'RestrictionsType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RestrictionsType',
            'MultilineTextType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MultilineTextType',
            'LoyaltyType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\LoyaltyType',
            'PassengerType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PassengerType',
            'RateQualifierType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RateQualifierType',
            'SpecialInputType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SpecialInputType',
            'ChargesType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ChargesType',
            'MoneyType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MoneyType',
            'ChargeType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ChargeType',
            'CalculationType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CalculationType',
            'MinMaxType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MinMaxType',
            'POSType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\POSType',
            'SourceType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SourceType',
            'BookingChannelType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\BookingChannelType',
            'TTYRecordLocatorType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TTYRecordLocatorType',
            'OACType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\OACType',
            'FeeType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FeeType',
            'PriceType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PriceType',
            'RequestorIDType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RequestorIDType',
            'CompanyNameType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CompanyNameType',
            'ArrangerDetailsType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ArrangerDetailsType',
            'PersonNameType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PersonNameType',
            'RailFareType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RailFareType',
            'Fare' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Fare',
            'FareDescription' => '\\Sabre\\PassengerDetailsRQ\\Structs\\FareDescription',
            'Condition' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Condition',
            'Fees' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Fees',
            'RequestorSourceType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RequestorSourceType',
            'SignatureType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\PassengerDetailsRQ\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Envelope',
            'Header' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Header',
            'Body' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Body',
            'Fault' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Fault',
            'detail' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Detail',
            'Manifest' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Manifest',
            'Reference' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Reference',
            'Schema' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\PassengerDetailsRQ\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\PassengerDetailsRQ\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\PassengerDetailsRQ\\Structs\\ErrorList',
            'Error' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\PassengerDetailsRQ\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\PassengerDetailsRQ\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\PassengerDetailsRQ\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\PassengerDetailsRQ\\Structs\\PartyId',
            'To' => '\\Sabre\\PassengerDetailsRQ\\Structs\\To',
            'From' => '\\Sabre\\PassengerDetailsRQ\\Structs\\From',
            'Security' => '\\Sabre\\PassengerDetailsRQ\\Structs\\Security',
            'UsernameToken' => '\\Sabre\\PassengerDetailsRQ\\Structs\\UsernameToken',
        );
    }
}
