<?php

namespace Sabre\PassengerDetailsRQ\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContactNumbers Structs
 * @subpackage Structs
 */
class ContactNumbers extends AbstractStructBase
{
    /**
     * The ContactNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\ContactNumber
     */
    public $ContactNumber;
    /**
     * The PhoneNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $PhoneNumber;
    /**
     * The FaxNumber
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $FaxNumber;
    /**
     * Constructor method for ContactNumbers
     * @uses ContactNumbers::setContactNumber()
     * @uses ContactNumbers::setPhoneNumber()
     * @uses ContactNumbers::setFaxNumber()
     * @param \Sabre\PassengerDetailsRQ\Structs\ContactNumber $contactNumber
     * @param string[] $phoneNumber
     * @param string $faxNumber
     */
    public function __construct(\Sabre\PassengerDetailsRQ\Structs\ContactNumber $contactNumber = null, array $phoneNumber = array(), $faxNumber = null)
    {
        $this
            ->setContactNumber($contactNumber)
            ->setPhoneNumber($phoneNumber)
            ->setFaxNumber($faxNumber);
    }
    /**
     * Get ContactNumber value
     * @return \Sabre\PassengerDetailsRQ\Structs\ContactNumber|null
     */
    public function getContactNumber()
    {
        return $this->ContactNumber;
    }
    /**
     * Set ContactNumber value
     * @param \Sabre\PassengerDetailsRQ\Structs\ContactNumber $contactNumber
     * @return \Sabre\PassengerDetailsRQ\Structs\ContactNumbers
     */
    public function setContactNumber(\Sabre\PassengerDetailsRQ\Structs\ContactNumber $contactNumber = null)
    {
        $this->ContactNumber = $contactNumber;
        return $this;
    }
    /**
     * Get PhoneNumber value
     * @return string[]|null
     */
    public function getPhoneNumber()
    {
        return $this->PhoneNumber;
    }
    /**
     * Set PhoneNumber value
     * @throws \InvalidArgumentException
     * @param string[] $phoneNumber
     * @return \Sabre\PassengerDetailsRQ\Structs\ContactNumbers
     */
    public function setPhoneNumber(array $phoneNumber = array())
    {
        $this->PhoneNumber = $phoneNumber;
        return $this;
    }
    /**
     * Add item to PhoneNumber value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \Sabre\PassengerDetailsRQ\Structs\ContactNumbers
     */
    public function addToPhoneNumber($item)
    {
        $this->PhoneNumber[] = $item;
        return $this;
    }
    /**
     * Get FaxNumber value
     * @return string|null
     */
    public function getFaxNumber()
    {
        return $this->FaxNumber;
    }
    /**
     * Set FaxNumber value
     * @param string $faxNumber
     * @return \Sabre\PassengerDetailsRQ\Structs\ContactNumbers
     */
    public function setFaxNumber($faxNumber = null)
    {
        $this->FaxNumber = $faxNumber;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\PassengerDetailsRQ\Structs\ContactNumbers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
