<?php

namespace Sabre\PassengerDetailsRQ\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MarketingAirline Structs
 * @subpackage Structs
 */
class MarketingAirline extends AbstractStructBase
{
    /**
     * The Code
     * Meta informations extracted from the WSDL
     * - documentation: "Code" is used to return the marketing airline code associated with the particular flight segment. | "Code" is used to return the marketing airline code associated with the particular flight segment. | "Code" is used to return the
     * marketing airline code associated with the particular vehicle segment.
     * - use: optional
     * @var string
     */
    public $Code;
    /**
     * The FlightNumber
     * Meta informations extracted from the WSDL
     * - documentation: "FlightNumber" is used to return the marketing airline flight number associated with the particular flight segment. | "FlightNumber" is used to return the flight number associated with the particular flight segment. | "FlightNumber"
     * is used to return the flight number associated with the particular vehicle segment.
     * - use: optional
     * @var string
     */
    public $FlightNumber;
    /**
     * Constructor method for MarketingAirline
     * @uses MarketingAirline::setCode()
     * @uses MarketingAirline::setFlightNumber()
     * @param string $code
     * @param string $flightNumber
     */
    public function __construct($code = null, $flightNumber = null)
    {
        $this
            ->setCode($code)
            ->setFlightNumber($flightNumber);
    }
    /**
     * Get Code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->Code;
    }
    /**
     * Set Code value
     * @param string $code
     * @return \Sabre\PassengerDetailsRQ\Structs\MarketingAirline
     */
    public function setCode($code = null)
    {
        $this->Code = $code;
        return $this;
    }
    /**
     * Get FlightNumber value
     * @return string|null
     */
    public function getFlightNumber()
    {
        return $this->FlightNumber;
    }
    /**
     * Set FlightNumber value
     * @param string $flightNumber
     * @return \Sabre\PassengerDetailsRQ\Structs\MarketingAirline
     */
    public function setFlightNumber($flightNumber = null)
    {
        $this->FlightNumber = $flightNumber;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\PassengerDetailsRQ\Structs\MarketingAirline
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
