<?php

namespace Sabre\PassengerDetailsRQ\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MiscInformation Structs
 * @subpackage Structs
 */
class MiscInformation extends AbstractStructBase
{
    /**
     * The BaggageFees
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\BaggageFees
     */
    public $BaggageFees;
    /**
     * The GlobalNetRemit
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\GlobalNetRemit[]
     */
    public $GlobalNetRemit;
    /**
     * The SignatureLine
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\SignatureLine[]
     */
    public $SignatureLine;
    /**
     * The TicketingFees
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\TicketingFees[]
     */
    public $TicketingFees;
    /**
     * Constructor method for MiscInformation
     * @uses MiscInformation::setBaggageFees()
     * @uses MiscInformation::setGlobalNetRemit()
     * @uses MiscInformation::setSignatureLine()
     * @uses MiscInformation::setTicketingFees()
     * @param \Sabre\PassengerDetailsRQ\Structs\BaggageFees $baggageFees
     * @param \Sabre\PassengerDetailsRQ\Structs\GlobalNetRemit[] $globalNetRemit
     * @param \Sabre\PassengerDetailsRQ\Structs\SignatureLine[] $signatureLine
     * @param \Sabre\PassengerDetailsRQ\Structs\TicketingFees[] $ticketingFees
     */
    public function __construct(\Sabre\PassengerDetailsRQ\Structs\BaggageFees $baggageFees = null, array $globalNetRemit = array(), array $signatureLine = array(), array $ticketingFees = array())
    {
        $this
            ->setBaggageFees($baggageFees)
            ->setGlobalNetRemit($globalNetRemit)
            ->setSignatureLine($signatureLine)
            ->setTicketingFees($ticketingFees);
    }
    /**
     * Get BaggageFees value
     * @return \Sabre\PassengerDetailsRQ\Structs\BaggageFees|null
     */
    public function getBaggageFees()
    {
        return $this->BaggageFees;
    }
    /**
     * Set BaggageFees value
     * @param \Sabre\PassengerDetailsRQ\Structs\BaggageFees $baggageFees
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public function setBaggageFees(\Sabre\PassengerDetailsRQ\Structs\BaggageFees $baggageFees = null)
    {
        $this->BaggageFees = $baggageFees;
        return $this;
    }
    /**
     * Get GlobalNetRemit value
     * @return \Sabre\PassengerDetailsRQ\Structs\GlobalNetRemit[]|null
     */
    public function getGlobalNetRemit()
    {
        return $this->GlobalNetRemit;
    }
    /**
     * Set GlobalNetRemit value
     * @throws \InvalidArgumentException
     * @param \Sabre\PassengerDetailsRQ\Structs\GlobalNetRemit[] $globalNetRemit
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public function setGlobalNetRemit(array $globalNetRemit = array())
    {
        $this->GlobalNetRemit = $globalNetRemit;
        return $this;
    }
    /**
     * Add item to GlobalNetRemit value
     * @throws \InvalidArgumentException
     * @param \Sabre\PassengerDetailsRQ\Structs\GlobalNetRemit $item
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public function addToGlobalNetRemit(\Sabre\PassengerDetailsRQ\Structs\GlobalNetRemit $item)
    {
        $this->GlobalNetRemit[] = $item;
        return $this;
    }
    /**
     * Get SignatureLine value
     * @return \Sabre\PassengerDetailsRQ\Structs\SignatureLine[]|null
     */
    public function getSignatureLine()
    {
        return $this->SignatureLine;
    }
    /**
     * Set SignatureLine value
     * @throws \InvalidArgumentException
     * @param \Sabre\PassengerDetailsRQ\Structs\SignatureLine[] $signatureLine
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public function setSignatureLine(array $signatureLine = array())
    {
        $this->SignatureLine = $signatureLine;
        return $this;
    }
    /**
     * Add item to SignatureLine value
     * @throws \InvalidArgumentException
     * @param \Sabre\PassengerDetailsRQ\Structs\SignatureLine $item
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public function addToSignatureLine(\Sabre\PassengerDetailsRQ\Structs\SignatureLine $item)
    {
        $this->SignatureLine[] = $item;
        return $this;
    }
    /**
     * Get TicketingFees value
     * @return \Sabre\PassengerDetailsRQ\Structs\TicketingFees[]|null
     */
    public function getTicketingFees()
    {
        return $this->TicketingFees;
    }
    /**
     * Set TicketingFees value
     * @throws \InvalidArgumentException
     * @param \Sabre\PassengerDetailsRQ\Structs\TicketingFees[] $ticketingFees
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public function setTicketingFees(array $ticketingFees = array())
    {
        $this->TicketingFees = $ticketingFees;
        return $this;
    }
    /**
     * Add item to TicketingFees value
     * @throws \InvalidArgumentException
     * @param \Sabre\PassengerDetailsRQ\Structs\TicketingFees $item
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public function addToTicketingFees(\Sabre\PassengerDetailsRQ\Structs\TicketingFees $item)
    {
        $this->TicketingFees[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\PassengerDetailsRQ\Structs\MiscInformation
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
