<?php

namespace Sabre\PassengerDetailsRQ\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PostProcessing Structs
 * @subpackage Structs
 */
class PostProcessing extends AbstractStructBase
{
    /**
     * The ARUNK_RQ
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var mixed
     */
    public $ARUNK_RQ;
    /**
     * The EndTransactionRQ
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\EndTransactionRQ
     */
    public $EndTransactionRQ;
    /**
     * The QueuePlaceRQ
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\QueuePlaceRQ
     */
    public $QueuePlaceRQ;
    /**
     * The IgnoreAfter
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $IgnoreAfter;
    /**
     * The RedisplayReservation
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $RedisplayReservation;
    /**
     * The UnmaskCreditCard
     * Meta informations extracted from the WSDL
     * - default: false
     * @var bool
     */
    public $UnmaskCreditCard;
    /**
     * Constructor method for PostProcessing
     * @uses PostProcessing::setARUNK_RQ()
     * @uses PostProcessing::setEndTransactionRQ()
     * @uses PostProcessing::setQueuePlaceRQ()
     * @uses PostProcessing::setIgnoreAfter()
     * @uses PostProcessing::setRedisplayReservation()
     * @uses PostProcessing::setUnmaskCreditCard()
     * @param mixed $aRUNK_RQ
     * @param \Sabre\PassengerDetailsRQ\Structs\EndTransactionRQ $endTransactionRQ
     * @param \Sabre\PassengerDetailsRQ\Structs\QueuePlaceRQ $queuePlaceRQ
     * @param bool $ignoreAfter
     * @param bool $redisplayReservation
     * @param bool $unmaskCreditCard
     */
    public function __construct($aRUNK_RQ = null, \Sabre\PassengerDetailsRQ\Structs\EndTransactionRQ $endTransactionRQ = null, \Sabre\PassengerDetailsRQ\Structs\QueuePlaceRQ $queuePlaceRQ = null, $ignoreAfter = null, $redisplayReservation = null, $unmaskCreditCard = false)
    {
        $this
            ->setARUNK_RQ($aRUNK_RQ)
            ->setEndTransactionRQ($endTransactionRQ)
            ->setQueuePlaceRQ($queuePlaceRQ)
            ->setIgnoreAfter($ignoreAfter)
            ->setRedisplayReservation($redisplayReservation)
            ->setUnmaskCreditCard($unmaskCreditCard);
    }
    /**
     * Get ARUNK_RQ value
     * @return mixed|null
     */
    public function getARUNK_RQ()
    {
        return $this->ARUNK_RQ;
    }
    /**
     * Set ARUNK_RQ value
     * @param mixed $aRUNK_RQ
     * @return \Sabre\PassengerDetailsRQ\Structs\PostProcessing
     */
    public function setARUNK_RQ($aRUNK_RQ = null)
    {
        $this->ARUNK_RQ = $aRUNK_RQ;
        return $this;
    }
    /**
     * Get EndTransactionRQ value
     * @return \Sabre\PassengerDetailsRQ\Structs\EndTransactionRQ|null
     */
    public function getEndTransactionRQ()
    {
        return $this->EndTransactionRQ;
    }
    /**
     * Set EndTransactionRQ value
     * @param \Sabre\PassengerDetailsRQ\Structs\EndTransactionRQ $endTransactionRQ
     * @return \Sabre\PassengerDetailsRQ\Structs\PostProcessing
     */
    public function setEndTransactionRQ(\Sabre\PassengerDetailsRQ\Structs\EndTransactionRQ $endTransactionRQ = null)
    {
        $this->EndTransactionRQ = $endTransactionRQ;
        return $this;
    }
    /**
     * Get QueuePlaceRQ value
     * @return \Sabre\PassengerDetailsRQ\Structs\QueuePlaceRQ|null
     */
    public function getQueuePlaceRQ()
    {
        return $this->QueuePlaceRQ;
    }
    /**
     * Set QueuePlaceRQ value
     * @param \Sabre\PassengerDetailsRQ\Structs\QueuePlaceRQ $queuePlaceRQ
     * @return \Sabre\PassengerDetailsRQ\Structs\PostProcessing
     */
    public function setQueuePlaceRQ(\Sabre\PassengerDetailsRQ\Structs\QueuePlaceRQ $queuePlaceRQ = null)
    {
        $this->QueuePlaceRQ = $queuePlaceRQ;
        return $this;
    }
    /**
     * Get IgnoreAfter value
     * @return bool|null
     */
    public function getIgnoreAfter()
    {
        return $this->IgnoreAfter;
    }
    /**
     * Set IgnoreAfter value
     * @param bool $ignoreAfter
     * @return \Sabre\PassengerDetailsRQ\Structs\PostProcessing
     */
    public function setIgnoreAfter($ignoreAfter = null)
    {
        $this->IgnoreAfter = $ignoreAfter;
        return $this;
    }
    /**
     * Get RedisplayReservation value
     * @return bool|null
     */
    public function getRedisplayReservation()
    {
        return $this->RedisplayReservation;
    }
    /**
     * Set RedisplayReservation value
     * @param bool $redisplayReservation
     * @return \Sabre\PassengerDetailsRQ\Structs\PostProcessing
     */
    public function setRedisplayReservation($redisplayReservation = null)
    {
        $this->RedisplayReservation = $redisplayReservation;
        return $this;
    }
    /**
     * Get UnmaskCreditCard value
     * @return bool|null
     */
    public function getUnmaskCreditCard()
    {
        return $this->UnmaskCreditCard;
    }
    /**
     * Set UnmaskCreditCard value
     * @param bool $unmaskCreditCard
     * @return \Sabre\PassengerDetailsRQ\Structs\PostProcessing
     */
    public function setUnmaskCreditCard($unmaskCreditCard = false)
    {
        $this->UnmaskCreditCard = $unmaskCreditCard;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\PassengerDetailsRQ\Structs\PostProcessing
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
