<?php

namespace Sabre\PassengerDetailsRQ\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PricedItinerary Structs
 * @subpackage Structs
 */
class PricedItinerary extends AbstractStructBase
{
    /**
     * The AirItineraryPricingInfo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\AirItineraryPricingInfo
     */
    public $AirItineraryPricingInfo;
    /**
     * The NetTicketingInfo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\PassengerDetailsRQ\Structs\NetTicketingInfo
     */
    public $NetTicketingInfo;
    /**
     * The DeletedBy
     * Meta informations extracted from the WSDL
     * - documentation: "DeletedBy" is used to return deletion information associated with the particular price quote if applicable.
     * - use: optional
     * @var string
     */
    public $DeletedBy;
    /**
     * The DisplayOnly
     * Meta informations extracted from the WSDL
     * - documentation: "DisplayOnly" is used to indicate that the global net remit-related data is display only.
     * - use: optional
     * @var bool
     */
    public $DisplayOnly;
    /**
     * The InputMessage
     * Meta informations extracted from the WSDL
     * - documentation: "InputMessage" is used to return the host command associated with the particular price quote.
     * - use: optional
     * @var string
     */
    public $InputMessage;
    /**
     * The RPH
     * Meta informations extracted from the WSDL
     * - documentation: "RPH" is used as a reference place holder.
     * - use: optional
     * @var string
     */
    public $RPH;
    /**
     * The StatusCode
     * Meta informations extracted from the WSDL
     * - documentation: "StatusCode" is used to return the status code associated with the particular price quote. -->
     * - use: optional
     * @var string
     */
    public $StatusCode;
    /**
     * The TaxExempt
     * Meta informations extracted from the WSDL
     * - documentation: "TaxExempt" is used to indicate whether or not the particular priced itinerary is classified as tax exempt
     * - use: optional
     * @var bool
     */
    public $TaxExempt;
    /**
     * The ValidatingCarrier
     * Meta informations extracted from the WSDL
     * - documentation: "ValidatingCarrier" is used to return validating carrier-related information associated with the particular price quote.
     * - use: optional
     * @var string
     */
    public $ValidatingCarrier;
    /**
     * Constructor method for PricedItinerary
     * @uses PricedItinerary::setAirItineraryPricingInfo()
     * @uses PricedItinerary::setNetTicketingInfo()
     * @uses PricedItinerary::setDeletedBy()
     * @uses PricedItinerary::setDisplayOnly()
     * @uses PricedItinerary::setInputMessage()
     * @uses PricedItinerary::setRPH()
     * @uses PricedItinerary::setStatusCode()
     * @uses PricedItinerary::setTaxExempt()
     * @uses PricedItinerary::setValidatingCarrier()
     * @param \Sabre\PassengerDetailsRQ\Structs\AirItineraryPricingInfo $airItineraryPricingInfo
     * @param \Sabre\PassengerDetailsRQ\Structs\NetTicketingInfo $netTicketingInfo
     * @param string $deletedBy
     * @param bool $displayOnly
     * @param string $inputMessage
     * @param string $rPH
     * @param string $statusCode
     * @param bool $taxExempt
     * @param string $validatingCarrier
     */
    public function __construct(\Sabre\PassengerDetailsRQ\Structs\AirItineraryPricingInfo $airItineraryPricingInfo = null, \Sabre\PassengerDetailsRQ\Structs\NetTicketingInfo $netTicketingInfo = null, $deletedBy = null, $displayOnly = null, $inputMessage = null, $rPH = null, $statusCode = null, $taxExempt = null, $validatingCarrier = null)
    {
        $this
            ->setAirItineraryPricingInfo($airItineraryPricingInfo)
            ->setNetTicketingInfo($netTicketingInfo)
            ->setDeletedBy($deletedBy)
            ->setDisplayOnly($displayOnly)
            ->setInputMessage($inputMessage)
            ->setRPH($rPH)
            ->setStatusCode($statusCode)
            ->setTaxExempt($taxExempt)
            ->setValidatingCarrier($validatingCarrier);
    }
    /**
     * Get AirItineraryPricingInfo value
     * @return \Sabre\PassengerDetailsRQ\Structs\AirItineraryPricingInfo|null
     */
    public function getAirItineraryPricingInfo()
    {
        return $this->AirItineraryPricingInfo;
    }
    /**
     * Set AirItineraryPricingInfo value
     * @param \Sabre\PassengerDetailsRQ\Structs\AirItineraryPricingInfo $airItineraryPricingInfo
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setAirItineraryPricingInfo(\Sabre\PassengerDetailsRQ\Structs\AirItineraryPricingInfo $airItineraryPricingInfo = null)
    {
        $this->AirItineraryPricingInfo = $airItineraryPricingInfo;
        return $this;
    }
    /**
     * Get NetTicketingInfo value
     * @return \Sabre\PassengerDetailsRQ\Structs\NetTicketingInfo|null
     */
    public function getNetTicketingInfo()
    {
        return $this->NetTicketingInfo;
    }
    /**
     * Set NetTicketingInfo value
     * @param \Sabre\PassengerDetailsRQ\Structs\NetTicketingInfo $netTicketingInfo
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setNetTicketingInfo(\Sabre\PassengerDetailsRQ\Structs\NetTicketingInfo $netTicketingInfo = null)
    {
        $this->NetTicketingInfo = $netTicketingInfo;
        return $this;
    }
    /**
     * Get DeletedBy value
     * @return string|null
     */
    public function getDeletedBy()
    {
        return $this->DeletedBy;
    }
    /**
     * Set DeletedBy value
     * @param string $deletedBy
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setDeletedBy($deletedBy = null)
    {
        $this->DeletedBy = $deletedBy;
        return $this;
    }
    /**
     * Get DisplayOnly value
     * @return bool|null
     */
    public function getDisplayOnly()
    {
        return $this->DisplayOnly;
    }
    /**
     * Set DisplayOnly value
     * @param bool $displayOnly
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setDisplayOnly($displayOnly = null)
    {
        $this->DisplayOnly = $displayOnly;
        return $this;
    }
    /**
     * Get InputMessage value
     * @return string|null
     */
    public function getInputMessage()
    {
        return $this->InputMessage;
    }
    /**
     * Set InputMessage value
     * @param string $inputMessage
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setInputMessage($inputMessage = null)
    {
        $this->InputMessage = $inputMessage;
        return $this;
    }
    /**
     * Get RPH value
     * @return string|null
     */
    public function getRPH()
    {
        return $this->RPH;
    }
    /**
     * Set RPH value
     * @param string $rPH
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setRPH($rPH = null)
    {
        $this->RPH = $rPH;
        return $this;
    }
    /**
     * Get StatusCode value
     * @return string|null
     */
    public function getStatusCode()
    {
        return $this->StatusCode;
    }
    /**
     * Set StatusCode value
     * @param string $statusCode
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setStatusCode($statusCode = null)
    {
        $this->StatusCode = $statusCode;
        return $this;
    }
    /**
     * Get TaxExempt value
     * @return bool|null
     */
    public function getTaxExempt()
    {
        return $this->TaxExempt;
    }
    /**
     * Set TaxExempt value
     * @param bool $taxExempt
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setTaxExempt($taxExempt = null)
    {
        $this->TaxExempt = $taxExempt;
        return $this;
    }
    /**
     * Get ValidatingCarrier value
     * @return string|null
     */
    public function getValidatingCarrier()
    {
        return $this->ValidatingCarrier;
    }
    /**
     * Set ValidatingCarrier value
     * @param string $validatingCarrier
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public function setValidatingCarrier($validatingCarrier = null)
    {
        $this->ValidatingCarrier = $validatingCarrier;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\PassengerDetailsRQ\Structs\PricedItinerary
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
